12

Grab the latest P&T Field Pack. They fixed it recently.


12

In EE 2.7, each class extending EE_Fieldtype is required to implement a display_field() function. So either you implement that function with no actual implementation if you just want the error to go away public function display_field($data) { // NOTE: Placeholder } or wait for the fieldtype developers to implement the function so as to be compatible to ...


7

Here's how to upgrade an existing EE install with P&T fieldtypes. After upgrading EE you'll get this error when visiting the modules section: Fatal error: Class PT_Fieldtype contains 1 abstract method and must therefore be declared abstract or implement the remaining methods (EE_Fieldtype::display_field) in /third_party/pt_field_pack/pt_fieldtype.php ...


5

This could arguably be a duplicate of this question, but it's a bit different because you're asking how to silence the error so you can finish the update per the P&T docs. I just ran into this today myself and had the same question! The solution is courtesy of this answer. Open up pt_fieldtype.php and below the constructor (around line 29) add: public ...


4

Any time i've used it P&T fields so far i've gone with this syntax: {field:preferred_position} I haven't specifically used checkboxes, but I think its worth a shot.


3

There is only one correct syntax style: {companies_type:label}. If it's not working you might have changed your options after saving an entry. So the stored value is not matching any options anymore and thus resulting an empty value for {companies_type:label} and {companies_type}.


3

P&T Field Pack has been renamed into/superseded by Field Pack.


3

I removed the'&#' characters from the dropdown options 👀 : View has now become x1F440; : View and added those characters to my template output instead. &#{standard_icon} The field is storing the value as expected and the icon is being output fine in the template.


3

Looks like you need :selected tag For use in conditionals; returns whether or not a particular option is selected. {if '{my_checkboxes_field:selected option="kittens"}' == '0'} <p>No Kittens :'(</p> {/if}


2

It turns out the issue was that in a checkbox field, neither "Populate the menu manually" or "Populate the menu from another channel field" was selected. I'm not sure how I managed to not have either radio button ticked, but that was the problem.


2

A quick/easy solution would be to wrap the element with a div, and build your selector using that. In jQuery, for example, you could use $('.select-wrapper select') to select this: <div class="select-wrapper">{field:education_level}</div> The CSS selector would be similar, of course: .select-wrapper select{ border: 1px solid green; }


2

The :all_options tag pair was actually removed removed two years ago, well before Field Pack 2.0 came out. We removed it because EE doesn’t parse tags for fields that don’t have any data; it just removes them. And 99% of the time, people used the :all_options tag pair in cases where they would expect the options to appear regardless of whether a checkbox ...


2

I just had this issue too on same installation. I had installed a new fieldtype (Plate Picker), which uses the $settings['options'] array too to store the field_type settings. Problem is that P&T pill assumes all values inside $settings['options'] are string values, but with my new field_type they are not. I didn't dig deeper into EE Fieldtypes to find ...


2

Field Pack gives you the option to specify a name and value pair, so in your field you could set: [value] : [name] which might equate to say 1 : Yes 0 : No This would then display in your pill field as a Yes/No button, but allow you to use the value instead of the name in your template logic. eg. {if pill_field == '1'} The code you've commented out ...


2

Low Options can output native and P&T dropdown options in your templates.


2

I had the same problem post upgrade from EE 2.8 to 2.10 and found that I needed to change the conditionals as follows to make them work again: {if '{my_checkboxes:selected option="value"}' == '1'}


1

{if '{my_matrix_column:selected option="text"}'}popup{/if} This should definitely work, according to the Field Pack docs. You could also just loop through and do your conditional inside the loop: {my_matrix_column} {if option == "text"}popup{/option} {my_matrix_column}


1

Sorry for the lack of clarity, I have figured this out and will detail it in case someone makes the same mistake I made. I have been working with EE to long to make this type of mistake, but figured detailing may help others. What this looked like on my end: The field type appear to install correctly, but when attempting to edit a page using this field ...


1

In case any others might be struggling with this annoying problem: it's a compatibility issue, get the latest Field Pack (2.2) and everything works as it should :) The Field Pack Changelog lists the following updates for Content Elements support: Added support for {element_name} tags within Content Elements. Fixed compatibility issues iwth Content ...


1

As far as I'm aware, P&T field pack isn't working under 2.8. Remove/uninstall the fields and you'll stop the error. If you have channels that use these field types then you'll have to make other plans or roll back to 2.7.3. Maybe hit up P&T and see if they'll open source them so others may contribute/update the code.


1

P&T field pack has been superseded by fieldpack http://devot-ee.com/add-ons/field-pack. P&T field pack wont be supported by 2.8.1 but the upgrade to field pack is really simple do.


1

Can you try rebuilding the Super Search Lexicon? (go to: SuperSearch > Utilities). I have a feeling that Super Search only updates this if you add the entries through the Control Panel.


1

If you're looping channel entries you could add a second loop to grab the "On" entries... {!-- first loop to display entries --} {exp:channel:entries channel="mychannel"} {title} {/exp:channel:entries} {!-- second loop to grab 'on' entries --} {exp:channel:entries channel="mychannel" search:your_switch_field="ON"} {if count == total_results} {...


1

Upgrade to the latest version of EE (2.7.2 as of this posting) and Field Pack (2.1.1).


Only top voted, non community-wiki answers of a minimum length are eligible